List deal records
curl --request POST \
--url https://api.attio.com/v2/objects/deals/records/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"$and": [
{
"path": [
[
"deals",
"associated_company"
],
[
"companies",
"domains"
]
],
"constraints": {
"domain": "fundstack.com"
}
}
]
},
"sorts": [
{
"direction": "asc",
"attribute": "name",
"field": "last_name"
}
],
"limit": 500,
"offset": 0
}
'import requests
url = "https://api.attio.com/v2/objects/deals/records/query"
payload = {
"filter": { "$and": [
{
"path": [["deals", "associated_company"], ["companies", "domains"]],
"constraints": { "domain": "fundstack.com" }
}
] },
"sorts": [
{
"direction": "asc",
"attribute": "name",
"field": "last_name"
}
],
"limit": 500,
"offset": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
$and: [
{
path: [['deals', 'associated_company'], ['companies', 'domains']],
constraints: {domain: 'fundstack.com'}
}
]
},
sorts: [{direction: 'asc', attribute: 'name', field: 'last_name'}],
limit: 500,
offset: 0
})
};
fetch('https://api.attio.com/v2/objects/deals/records/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
},
"created_at": "2022-11-21T13:22:49.061281000Z",
"web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
"values": {
"name": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "Contract with Fundstack",
"attribute_type": "text"
}
],
"stage": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"status": {
"title": "In Progress",
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96",
"status_id": "11f07f01-c10f-4e05-a522-33e050bc52ee"
},
"is_archived": false,
"celebration_enabled": false,
"target_time_in_status": null
},
"attribute_type": "status"
}
],
"owner": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"referenced_actor_type": "workspace-member",
"referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b",
"attribute_type": "actor-reference"
}
],
"value": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"currency_value": 4200,
"currency_code": "USD",
"attribute_type": "currency"
}
],
"associated_people": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"target_object": "people",
"target_record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"attribute_type": "record-reference"
}
],
"associated_company": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"target_object": "companies",
"target_record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"attribute_type": "record-reference"
}
]
}
}
]
}{
"status_code": 400,
"type": "invalid_request_error",
"code": "filter_error",
"message": "Error in filter."
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "The referenced object was not found."
}Deals
List deal records
Lists deal records, with the option to filter and sort results.
Required scopes: record_permission:read, object_configuration:read.
POST
/
v2
/
objects
/
deals
/
records
/
query
List deal records
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Body
application/json
An object used to filter results to a subset of records. See the full guide to filtering and sorting here.
Example:
{
"$and": [
{
"path": [
["deals", "associated_company"],
["companies", "domains"]
],
"constraints": { "domain": "fundstack.com" }
}
]
}An object used to sort results. See the full guide to filtering and sorting here.
Sort by attribute
- Option 1
- Option 2
Show child attributes
Show child attributes
Example:
[
{
"direction": "asc",
"attribute": "name",
"field": "last_name"
}
]The maximum number of results to return. Defaults to 500. See the full guide to pagination here.
Example:
500
The number of results to skip over before returning. Defaults to 0. See the full guide to pagination here.
Example:
0
Response
Success
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I